CODESEARCH(1)

NAME
codesearch - Debian Codesearch CLI tool

DESCRIPTION
usage: codesearch [-h] [--max-results MAX_RESULTS] [-q] [-l] [--nocolor]

    [--color] [-n] [-d] [-x EXCLUDE] [-m {literal,regexp}] [--per-package] [--only-package] searchstring

  positional arguments:

    searchstring

  options:

-h, --help
    show this help message and exit

--max-results MAX_RESULTS

-q, --quiet

-l, --linenumber

--nocolor
    Do not colorize output

--color
    Always colorize output

-n, --print-filenames
    Print only matching filenames, no contents

-d, --dedupe
    amalgamate results for the same file in different packages

-x, --exclude EXCLUDE
    list of path fragments to exclude from results

-m, --mode {literal,regexp}
    search mode (literal or regexp)

--per-package
    group results per source package

--only-package
    only print matching source package name